'$INCLUDE: 'incerror.bi'

SUB FatalErr (ErrString AS STRING)

'BEEP
PRINT "Error in file "; CurSrcFile; " at line"; SrcLineNo; "."
PRINT SrcLine
PRINT ErrString
STOP
END

END SUB

SUB ReportErr (ErrorNumber AS INTEGER)

  'BEEP
  PRINT "Error encountered !!  Error no :"; ErrorNumber
  STOP
  END

END SUB

SUB Warning (w AS STRING)

PRINT "file "; CurSrcFile; " at line"; SrcLineNo; "."
PRINT SrcLine
PRINT "Warning: "; w
SLEEP

END SUB

